
QGIS Application - Bug report #1178

QGIS 0.11.0 crashes when using print composer

2008-07-23 01:00 PM - morgan -

Status: Closed

Priority: Low

Assignee: nobody -

Category:

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11238

Description

I am having exactly the same problem I reported in 0.10.0, now using 0.11.0 from the launchpad repo in kubuntu 8.04.

I do:

File>>Print

Print composer opens

I click "add map" and draw a box

QGIS never draws the map. Nothing happens for 3 or 4 seconds, then QGIS crashes without warning or any feedback at all.

I'm using a mix of [[PostGIS]] and Shapefile layers.

Troubleshooters could download some of the shapefiles I use here, but I can't make the [[PostGIS]] databases public (as they contain

personal info)

Here is the output when I run this from the command line

Note that this mentions WGS84. Everything I use is NAD83, and I have expressly set that both as the global default and have QGIS set to

promt for projection when the layer doesn't contain the info.

Warning: No valid projection. Unable to set map units.

[[SpatialRefSys]]/ProjectSRSProj4String: +proj=longlat +ellps=WGS84 +datum=WGS84 +no_defs

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp502

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp225

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp245

Warning: Transform error caught in /build/buildd/qgis-0.11.0/src/core/qgsmaprender.cpp, line 544

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp502

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp225

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp245

Warning: Transform error caught in /build/buildd/qgis-0.11.0/src/core/qgsmaprender.cpp, line 544

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp502

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp225

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp245

Warning: Transform error caught in /build/buildd/qgis-0.11.0/src/core/qgsmaprender.cpp, line 544

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp502

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp225

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp245

Warning: Transform error caught in /build/buildd/qgis-0.11.0/src/core/qgsmaprender.cpp, line 544
Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp502

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp225

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp245

Warning: Transform error caught in /build/buildd/qgis-0.11.0/src/core/qgsmaprender.cpp, line 544

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp502

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp225

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp245

Warning: Transform error caught in /build/buildd/qgis-0.11.0/src/core/qgsmaprender.cpp, line 544

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp502

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp225

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp245

Warning: Transform error caught in /build/buildd/qgis-0.11.0/src/core/qgsmaprender.cpp, line 544

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp502

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp225

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp245

Warning: Transform error caught in /build/buildd/qgis-0.11.0/src/core/qgsmaprender.cpp, line 544

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp502

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp225

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp245

Warning: Transform error caught in /build/buildd/qgis-0.11.0/src/core/qgsmaprender.cpp, line 544

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp502

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp225

Warning: Throwing exception /build/buildd/qgis-0.11.0/src/core/qgscoordinatetransform.cpp245

Warning: Transform error caught in /build/buildd/qgis-0.11.0/src/core/qgsmaprender.cpp, line 544

Warning: No valid projection. Unable to set map units.

[[SpatialRefSys]]/ProjectSRSProj4String: +proj=longlat +ellps=WGS84 +datum=WGS84 +no_defs

Warning: No valid projection. Unable to set map units.

Warning: No valid projection. Unable to set map units.

Warning: No valid projection. Unable to set map units.

[[SpatialRefSys]]/ProjectSRSProj4String: +proj=longlat +ellps=GRS80 +datum=NAD83 +no_defs

Warning: No valid projection. Unable to set map units.

Warning: No valid projection. Unable to set map units.

Warning: No valid projection. Unable to set map units.

Warning: No valid projection. Unable to set map units.

Warning: No valid projection. Unable to set map units.

Warning: QPaintEngine::setSystemClip: Should not be changed while engine is active

Warning: QPaintEngine::setSystemClip: Should not be changed while engine is active

Warning: QWidgetPrivate::beginSharedPainter: Painter is already active

Warning: QPainter::begin: A paint device can only be painted by one painter at a time.

Warning: QPaintEngine::setSystemClip: Should not be changed while engine is active

Warning: QPaintEngine::setSystemRect: Should not be changed while engine is active

*------------the two above alternate for several pages---------------*

Warning: QPaintEngine::setSystemClip: Should not be changed while engine is active

Warning: QPaintEngine::setSystemClip: Should not be changed while engine is active

Warning: QPaintEngine::setSystemClip: Should not be changed while engine is active

Warning: QPainter::clipPath: Painter not active

Warning: QPainter::save: Painter not active

Warning: QPainter::resetMatrix: Painter not active

Warning: QPainter::restore: Painter not active

Warning: QPainter::clipPath: Painter not active

Segmentation fault

:~$
History

#1 - 2008-08-25 11:53 PM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

This should be fixed now with the merge of the composer branch.

Marco

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
